<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Whitney Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_whitney-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Whitney Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Whitney:</div>
<div class="dyncontent">
<div class="center"><img src="class_whitney__inherit__graph.png" border="0" usemap="#_whitney_inherit__map" alt="Inheritance graph"/></div>
<map name="_whitney_inherit__map" id="_whitney_inherit__map">
<area shape="rect" id="node2" href="class_i_model.html" title="Base class for all the models implementations. " alt="" coords="9,80,70,107"/>
<area shape="rect" id="node3" href="classhandle.html" title="handle" alt="" coords="9,5,69,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa29bdf9bc077b6e6dbf1ca568909dda1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#aa29bdf9bc077b6e6dbf1ca568909dda1">Whitney</a> ()</td></tr>
<tr class="separator:aa29bdf9bc077b6e6dbf1ca568909dda1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445f33d87e8aca91c27220cd4d8e16da"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#a445f33d87e8aca91c27220cd4d8e16da">get_initial_state</a> (in obj)</td></tr>
<tr class="separator:a445f33d87e8aca91c27220cd4d8e16da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#a6108ff447601d4c6a683b8f3c8e29ed5">fun_derivatives</a> (in obj, in t, in x, in u)</td></tr>
<tr class="separator:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#a2ed784a2d550a43a37b4d32e62ad09d1">fun_update</a> (in obj, in t, in x, in u)</td></tr>
<tr class="separator:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195100623fa9887b2e36539bc37c655e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#a195100623fa9887b2e36539bc37c655e">fun_outputs</a> (in obj, in t, in x, in u)</td></tr>
<tr class="separator:a195100623fa9887b2e36539bc37c655e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa77100b541ba43fcfb22723a677e480d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#aa77100b541ba43fcfb22723a677e480d">reset</a> (in obj)</td></tr>
<tr class="separator:aa77100b541ba43fcfb22723a677e480d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a592dff204bc2adeafa81d1af5d8c09cc"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a592dff204bc2adeafa81d1af5d8c09cc">type</a></td></tr>
<tr class="memdesc:a592dff204bc2adeafa81d1af5d8c09cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the model.  <a href="#a592dff204bc2adeafa81d1af5d8c09cc">More...</a><br /></td></tr>
<tr class="separator:a592dff204bc2adeafa81d1af5d8c09cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08e733eaa9bb7139d963f595fcc0a0e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#ac08e733eaa9bb7139d963f595fcc0a0e">num_states</a></td></tr>
<tr class="memdesc:ac08e733eaa9bb7139d963f595fcc0a0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of states.  <a href="#ac08e733eaa9bb7139d963f595fcc0a0e">More...</a><br /></td></tr>
<tr class="separator:ac08e733eaa9bb7139d963f595fcc0a0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a2299a4bd1517f715b45feefc99510a"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a6a2299a4bd1517f715b45feefc99510a">num_outputs</a></td></tr>
<tr class="memdesc:a6a2299a4bd1517f715b45feefc99510a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of outputs.  <a href="#a6a2299a4bd1517f715b45feefc99510a">More...</a><br /></td></tr>
<tr class="separator:a6a2299a4bd1517f715b45feefc99510a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a959b7a7a9b3913fe70bb9c1f1106ab75"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a959b7a7a9b3913fe70bb9c1f1106ab75">num_inputs</a></td></tr>
<tr class="memdesc:a959b7a7a9b3913fe70bb9c1f1106ab75"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of inputs.  <a href="#a959b7a7a9b3913fe70bb9c1f1106ab75">More...</a><br /></td></tr>
<tr class="separator:a959b7a7a9b3913fe70bb9c1f1106ab75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56d7ab917ef265bf43aa37472355dcb1"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a56d7ab917ef265bf43aa37472355dcb1">tau_s</a></td></tr>
<tr class="memdesc:a56d7ab917ef265bf43aa37472355dcb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Spring torque signal.  <a href="#a56d7ab917ef265bf43aa37472355dcb1">More...</a><br /></td></tr>
<tr class="separator:a56d7ab917ef265bf43aa37472355dcb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ed54a08b678a16dd4a58495ce401da0"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_model.html#a1ed54a08b678a16dd4a58495ce401da0">dtau_s</a></td></tr>
<tr class="memdesc:a1ed54a08b678a16dd4a58495ce401da0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Derivative of the spring torque signal.  <a href="#a1ed54a08b678a16dd4a58495ce401da0">More...</a><br /></td></tr>
<tr class="separator:a1ed54a08b678a16dd4a58495ce401da0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad1292318ebc95cbf115086e902c8e60a"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#ad1292318ebc95cbf115086e902c8e60a">U</a></td></tr>
<tr class="separator:ad1292318ebc95cbf115086e902c8e60a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9e8be7ff4c9e8afeb944400b0d65f1b"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_whitney.html#ae9e8be7ff4c9e8afeb944400b0d65f1b">prev_update_t</a></td></tr>
<tr class="separator:ae9e8be7ff4c9e8afeb944400b0d65f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa29bdf9bc077b6e6dbf1ca568909dda1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa29bdf9bc077b6e6dbf1ca568909dda1">&#9670;&nbsp;</a></span>Whitney()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_whitney.html">Whitney</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6108ff447601d4c6a683b8f3c8e29ed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6108ff447601d4c6a683b8f3c8e29ed5">&#9670;&nbsp;</a></span>fun_derivatives()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_derivatives </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a195100623fa9887b2e36539bc37c655e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a195100623fa9887b2e36539bc37c655e">&#9670;&nbsp;</a></span>fun_outputs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_outputs </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ed784a2d550a43a37b4d32e62ad09d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ed784a2d550a43a37b4d32e62ad09d1">&#9670;&nbsp;</a></span>fun_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_update </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a445f33d87e8aca91c27220cd4d8e16da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445f33d87e8aca91c27220cd4d8e16da">&#9670;&nbsp;</a></span>get_initial_state()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function get_initial_state </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa77100b541ba43fcfb22723a677e480d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa77100b541ba43fcfb22723a677e480d">&#9670;&nbsp;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function reset </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1ed54a08b678a16dd4a58495ce401da0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ed54a08b678a16dd4a58495ce401da0">&#9670;&nbsp;</a></span>dtau_s</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property dtau_s</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Derivative of the spring torque signal. </p>

</div>
</div>
<a id="a959b7a7a9b3913fe70bb9c1f1106ab75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a959b7a7a9b3913fe70bb9c1f1106ab75">&#9670;&nbsp;</a></span>num_inputs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property num_inputs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of inputs. </p>

</div>
</div>
<a id="a6a2299a4bd1517f715b45feefc99510a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a2299a4bd1517f715b45feefc99510a">&#9670;&nbsp;</a></span>num_outputs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property num_outputs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of outputs. </p>

</div>
</div>
<a id="ac08e733eaa9bb7139d963f595fcc0a0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08e733eaa9bb7139d963f595fcc0a0e">&#9670;&nbsp;</a></span>num_states</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property num_states</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Number of states. </p>

</div>
</div>
<a id="ae9e8be7ff4c9e8afeb944400b0d65f1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9e8be7ff4c9e8afeb944400b0d65f1b">&#9670;&nbsp;</a></span>prev_update_t</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property prev_update_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a56d7ab917ef265bf43aa37472355dcb1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56d7ab917ef265bf43aa37472355dcb1">&#9670;&nbsp;</a></span>tau_s</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property tau_s</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Spring torque signal. </p>

</div>
</div>
<a id="a592dff204bc2adeafa81d1af5d8c09cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a592dff204bc2adeafa81d1af5d8c09cc">&#9670;&nbsp;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inherited</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the model. </p>

</div>
</div>
<a id="ad1292318ebc95cbf115086e902c8e60a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1292318ebc95cbf115086e902c8e60a">&#9670;&nbsp;</a></span>U</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property U</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Models/<a class="el" href="_whitney_8m.html">Whitney.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
